<?php
/************************************************************************
 * MXChange v0.2.1                                    Start: 07/16/2004 *
 * ================                             Last change: 07/16/2004 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : ext-demo.php                                     *
 * -------------------------------------------------------------------- *
 * Short description : Demo mode extension                              *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Demo-Modus Erweiterung                           *
 * -------------------------------------------------------------------- *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2008 by Roland Haeder                           *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if (!defined('__SECURITY')) {
	$INC = substr(dirname(__FILE__), 0, strpos(dirname(__FILE__), "/inc") + 4) . "/security.php";
	require($INC);
}

// Version number
$EXT_VERSION = "0.0.1";

// Auto-set extension version
if (empty($EXT_VER)) $EXT_VER = $EXT_VERSION;

// Version history array (add more with , "0.1" and so on)
$EXT_VER_HISTORY = array("0.0", "0.0.1");

switch ($EXT_LOAD_MODE)
{
case "register": // Do stuff when installation is running (modules.php?module=admin&action=login is called)
	// SQL commands to run
	$SQLs[] = "";
	break;

case "remove": // Do stuff when removing extension
	// SQL commands to run
	$SQLs[] = "";
	break;

case "activate": // Do stuff when admin activates this extension
	// SQL commands to run
	$SQLs[] = "";
	break;

case "deactivate": // Do stuff when admin deactivates this extension
	// SQL commands to run
	$SQLs[] = "";
	break;

case "update": // Update an extension
	switch ($EXT_VER)
	{
	case "0.0.1": // SQL queries for v0.0.1
		// Update notes (these will be set as task text!)
		$UPDATE_NOTES = "W&ouml;rter <STRONG>Mailtausch</STRONG>, <STRONG>Mailtausches</STRONG> und <STRONG>Mailtauscher</STRONG> sind austauschbar.";
		break;
	}
	break;

default: // Do stuff when extension is loaded
	break;
}

//
?>
